import logging, sys
import xmlrpclib
logger = logging.getLogger("PloneTrac")


def updatePage(object, event):
	"""
	Update the stored page from the Trac instance
	"""
	logger.log(logging.INFO, "updating "+object.title)

	failed = []
	try:
        	s = xmlrpclib.ServerProxy(object.url+"/xmlrpc")
        	object.text = s.wiki.getPageHTML(object.title)
		logger.log(logging.INFO, object.text)
	except:
		failed.append(object.url)
		logger.log(logging.ERROR, object.url+str(sys.exc_info()))
